// Copyright (c) Pickware GmbH. All rights reserved.
// This file is part of software that is released under a proprietary license.
// You must not copy, modify, distribute, make publicly available, or execute
// its contents or parts thereof without express permission by the copyright
// holder, unless otherwise permitted by law.

Ext.define('Shopware.apps.ViisonCommonOrderDocumentTypeHider.view.mail.Attachment', {
    override: 'Shopware.apps.Order.view.mail.Attachment',

    /**
     * @override
     */
    createToolbarDocumentTypeSelect: function () {
        var documentTypeComboBox = this.callParent(arguments);

        documentTypeComboBox.getStore().clearFilter(true);
        documentTypeComboBox.getStore().filter('viisonHidden', false);

        return documentTypeComboBox;
    },
});
